diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index ecccec3..c970cef 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -30526,9 +30526,11 @@ FunctionSpaceToUnivariatePowerSeries(R,FE,Expon,UPS,TRAN,x):_
       (poly := retractIfCan(fcn)@Union(POL,"failed")) case POL =>
         [polyToUPS univariate(poly :: POL,x)]
       (sum := isPlus fcn) case L(FE) =>
-        listToUPS(sum :: L(FE),exprToUPS,posCheck?,atanFlag,0,#1 + #2)
+        listToUPS(sum :: L(FE),exprToUPS,posCheck?,atanFlag,0,
+           (y1,y2) +-> y1 + y2)
       (prod := isTimes fcn) case L(FE) =>
-        listToUPS(prod :: L(FE),exprToUPS,posCheck?,atanFlag,1,#1 * #2)
+        listToUPS(prod :: L(FE),exprToUPS,posCheck?,atanFlag,1,
+           (y1,y2) +-> y1 * y2)
       (expt := isNonTrivPower fcn) case Record(val:FE,exponent:I) =>
         power := expt :: Record(val:FE,exponent:I)
         powerToUPS(power.val,power.exponent,posCheck?,atanFlag)
@@ -30755,7 +30757,7 @@ FunctionSpaceToUnivariatePowerSeries(R,FE,Expon,UPS,TRAN,x):_
     -- functions are expressed in terms of exp
       smpElem(numer f) / smpElem(denom f)
 
-    smpElem p == map(k2Elem,#1::FE,p)$PCL
+    smpElem p == map(k2Elem,(x1:R):FE +-> x1::FE,p)$PCL
 
     k2Elem k ==
     -- rewrites a kernel; all trig functions are
@@ -30802,9 +30804,11 @@ FunctionSpaceToUnivariatePowerSeries(R,FE,Expon,UPS,TRAN,x):_
       (poly := retractIfCan(fcn)@Union(POL,"failed")) case POL =>
         [polyToUPS univariate(poly :: POL,x)]
       (sum := isPlus fcn) case L(FE) =>
-        listToUPS(sum :: L(FE),iExprToGenUPS,posCheck?,atanFlag,0,#1 + #2)
+        listToUPS(sum :: L(FE),iExprToGenUPS,posCheck?,atanFlag,0,
+           (y1,y2) +-> y1 + y2)
       (prod := isTimes fcn) case L(FE) =>
-        listToUPS(prod :: L(FE),iExprToGenUPS,posCheck?,atanFlag,1,#1 * #2)
+        listToUPS(prod :: L(FE),iExprToGenUPS,posCheck?,atanFlag,1,
+           (y1,y2) +-> y1 * y2)
       (expt := isNonTrivPower fcn) case Record(val:FE,exponent:I) =>
         power := expt :: Record(val:FE,exponent:I)
         powerToGenUPS(power.val,power.exponent,posCheck?,atanFlag)
diff --git a/changelog b/changelog
index 99bbf0f..ea8e39d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090601 tpd src/axiom-website/patches.html 20090601.03.tpd.patch
+20090601 tpd books/bookvol10.4 FS2UPS +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.02.tpd.patch
 20090601 tpd books/bookvol10.4 FS2EXPXP +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a5146e4..75d6a32 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1407,5 +1407,7 @@ In process, not yet released<br/><br/>
 bookvol10.4 FSPRMELT +-> conversion<br/>
 <a href="patches/20090601.02.tpd.patch">20090601.02.tpd.patch</a>
 bookvol10.4 FS2EXPXP +-> conversion<br/>
+<a href="patches/20090601.03.tpd.patch">20090601.03.tpd.patch</a>
+bookvol10.4 FS2UPS +-> conversion<br/>
  </body>
 </html>
